//////////////////////////////////////////////////
package general;

// Standard packages imported.
import java.util.Hashtable;

// Packages written For NDT.
import general.GenericException;
//////////////////////////////////////////////////
public class GeneralProperties extends Hashtable {
  public static final Integer bInApplet = new Integer(1); // In Applet?
  public static final Integer applet = new Integer(2);
  public static final Integer guimanager = new Integer(3);
  public static final Integer netCurrent = new Integer(4);	// Current network
  public static final Integer order = new Integer(5);
  public static final Integer dblRatio = new Integer(6); 
  public static final Integer dblAlphaDefaultVal = new Integer(7); // Default value of Alpha for a place.
  public static final Integer dblOmegaDefaultVal = new Integer(8); // Default value of omega for a place.
  public static final Integer guicanvas = new Integer(9);
  public static final Integer intInterGUIComponentGap  = new Integer(10);
  public static final Integer ptLastMouseClick = new Integer(11);
  public static final Integer lStatusBarMessage = new Integer(12);
  public static final Integer lEditMode = new Integer(13);
  public static final Integer strHelpURLFileNew = new Integer(50);
  public static final Integer strHelpURLFileOpen = new Integer(51);
  public static final Integer strHelpURLFileSaveAsAll = new Integer(52);
  public static final Integer strHelpURLFileSaveAsPhysical = new Integer(53);
  public static final Integer strHelpURLFileSaveAsNetwork = new Integer(54);
  public static final Integer strHelpURLFileClose = new Integer(55);
  public static final Integer strHelpURLFileRevert = new Integer(56);
  public static final Integer strHelpURLEditAddPlace = new Integer(61);
  public static final Integer strHelpURLEditAddSwitch = new Integer(62);
  public static final Integer strHelpURLEditAddLink = new Integer(63);
  public static final Integer strHelpURLEditDelPlace = new Integer(64);
  public static final Integer strHelpURLEditDelSwitch = new Integer(65);
  public static final Integer strHelpURLWindowsLink = new Integer(71);
  public static final Integer strHelpURLHelpAbout = new Integer(81);
  public static final Integer strHelpURLHelpUsingNDT = new Integer(82);
  public static final Integer strHelpURLHelpAlgo = new Integer(83);
  //  public static final Integer  = new Integer();

  public Object put(Object key, Object value) {
    //    if(key instanceof Integer)
    return super.put(key, value);
      //    else 
      //      throw(new GenericException(this, "Object " + key + " is not of Integer type!"));
  }
  //------------------------------------------------
  public Object get(Object key) {
    //    if(key instanceof Integer ) {
    Object retValue = super.get(key);
    if(retValue == null) 
      throw(new GenericException(this, "Object " + key + 
				 " not found in GeneralProperties!"));
    //    } else
    //      throw(new GenericException(this, "Object " + key + " is not of Integer type!"));

    return retValue;
  }
  //------------------------------------------------
}
//////////////////////////////////////////////////
